Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
asset
enum<string>
required
Available options:
USDT,
USDC
crypto_amount
string
required
fiat_amount
string
required
fiat_currency
string
required

Active three-letter ISO code in fiat_currencies. List via GET /api/v1/auth/fiat-currencies.

method
enum<string>
required
Available options:
bank,
mpesa
from_wallet_id
string<uuid>
required
usdt_amount
string

Deprecated alias for crypto_amount

payout_bank_account
string

Required for bank

payout_bank_name
string

Required for bank

payout_phone_number
string

Required for mpesa

pricing_profile_id
string<uuid>

Optional. When set, fx_rate_quote_id is required. Profile flow_type must be b2b (OTC desk). Must match asset, fiat_currency, and wallet network.

fx_rate_quote_id
string<uuid>

Optional. Active quote matching the pricing profile scope.

Response

Withdrawal created

id
string<uuid>
merchant_id
string<uuid>
asset
string | null
crypto_amount
string
usdt_amount
string | null

Backward-compatible alias for crypto_amount

fiat_amount
string
fiat_currency
string
method
enum<string>
Available options:
bank,
mpesa
status
enum<string>
Available options:
draft,
priced,
pending,
approved,
processing,
completed,
rejected
from_wallet_id
string<uuid> | null
payout_bank_account
string | null
payout_bank_name
string | null
payout_phone_number
string | null
pricing_profile_id
string<uuid> | null
fx_rate_quote_id
string<uuid> | null
negotiated_fx_reference_id
string<uuid> | null
rejection_reason
string | null
rejected_at
string<date-time> | null
rejected_by
string<uuid> | null
approved_at
string<date-time> | null
approved_by
string<uuid> | null
transfer_id
string<uuid> | null
completed_at
string<date-time> | null
completed_by
string<uuid> | null
internal_note
string | null
idempotency_key
string | null
submitted_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>